import request from '@/utils/request'
//天气
export function getWeather(params) {
  return request({
    url: 'http://8.142.46.126:83/weather',
    // url: 'http://192.168.0.233:83/weather',
    // url: 'http://192.168.3.216/weather',
    method: 'post',
    params
  })
}

// 气象、污水、温水
export function huanjingList(query) {
  return request({
    url: '/system/enviData/getByType?monitorType='+query,
    method: 'get',
  })
}

// 边坡沉降监测
export function bianpoChenJiangList(query) {
  return request({
    url: '/system/data/getNowData',
    method: 'get',
  })
}

// 边坡
export function bpdev() {
  return request({
    url: '/system/bp/search',
    method: 'get',
  })
}
// 首页储量
export function indexReserves() {
  return request({
    url: '/system/bp/indexReserves',
    method: 'get',
  })
}
// 环境监测
export function envisearch(params) {
  return request({
    url: '/system/bp/envisearch',
    method: 'get',
    params
  })
}
//环境监测点位list
export function listPoint(query) {
  return request({
    url: '/system/enviPoint/list',
    method: 'get',
    params: query
  })
}
//边坡实时数据xyz
export function bpNowData() {
  return request({
    url: '/system/bp/bpNowData',
    method: 'get',
    
  })
}
//环境实时数据
export function enviNowData(params) {
  return request({
    url: '/system/bp/enviNowData',
    method: 'get',
    params
  })
}
//水质实时数据
export function waterNowData() {
  return request({
    url: '/system/bp/waterNowData',
    method: 'get',
    
  })
}
//首页报警列表
export function alarmNowData(params) {
  return request({
    url: '/system/bp/alarmNowData',
    method: 'get',
    params
  })
}

//边坡设备状态
export function EquipState() {
  return request({
    url: '/system/bp/bpEquipState',
    method: 'get',
  })
}
// 环境监测设备在线信息
export function envOnlineInfo() {
  return request({
    url: '/system/bp/envOnlineInfo',
    method: 'get',
    
  })
}


//边坡报警列表
export function bpAlarmData(params) {
  return request({
    url: '/system/bp/bpAlarmData',
    method: 'get',
    params
  })
}
//环境报警列表
export function enviAlarmData(params) {
  return request({
    url: '/system/bp/enviAlarmData',
    method: 'get',
    params
  })
}

//储量管理左侧
export function LeftReserves() {
  return request({
    url: '/system/bp/LeftReserves',
    method: 'get',
  })
}
//实时报警
export function isNewAlarm () {
  return request({
    url: '/system/bp/isNewAlarm ',
    method: 'get',
  })
}
export function newAlarmList() {
  return request({
    url: '/system/bp/newAlarmList',
    method: 'get',
  })
}
//生产管理模型实时数据5s一次/system/devdata/newData 
export function devdata() {
  return request({
    url: '/system/devdata/newData',
    method: 'get',
  })
}